Changeset 525


Ignore:
Timestamp:
Aug 20, 2007 12:05:12 AM (12 years ago)
Author:
andreasw
Message:

merging changes from Bug Squashing Party Aug 2007 to regular trunk

Location:
ThirdParty/Mumps/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/trunk/configure

    r445 r525  
    16821682
    16831683
     1684#turn off warnings and pedantic mode since they could make trouble on some platforms,
     1685#and we couldn't fix them anyway
     1686coin_skip_warn_cflags=yes
     1687coin_skip_warn_fflags=yes
     1688
    16841689# Check if user wants to produce debugging code
    16851690
     
    18001805  if test "$enable_doscompile" != no; then
    18011806     case $build in
    1802        *-cygwin*) ;;
    1803        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
    1804 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
     1807       *-cygwin* | *-mingw*) ;;
     1808       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1809echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    18051810   { (exit 1); exit 1; }; } ;;
    18061811     esac
     
    18101815fi;
    18111816 case "$enable_doscompile" in
    1812    msvc|mingw|no) ;;
     1817   mingw)
     1818     case $build in
     1819       *-mingw*) enable_doscompile=no ;;
     1820     esac
     1821     ;;
     1822   msvc|no) ;;
    18131823   yes) enable_doscompile=mingw ;;
    18141824   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     
    27602770          xlc* | */xlc* | mpxlc* | */mpxlc*)
    27612771            coin_opt_cflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    2762             coin_add_cflags="-bmaxdata:0x80000000"
     2772            coin_add_cflags="-bmaxdata:0x80000000 -qsuppress=1500-036 -qsuppress=1500-029"
    27632773            coin_dbg_cflags="-g"
    27642774          ;;
     
    32073217
    32083218# Provide some information about the compiler.
    3209 echo "$as_me:3209:" \
     3219echo "$as_me:3219:" \
    32103220     "checking for Fortran 77 compiler version" >&5
    32113221ac_compiler=`set X $ac_compile; echo $2`
     
    34893499          xlf* | */xlf* | mpxlf* | */mpxlf* )
    34903500            coin_opt_fflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    3491             coin_add_fflags="-bmaxdata:0x80000000"
     3501            coin_add_fflags="-bmaxdata:0x80000000 -qsuppress=1500-036 -qsuppress=1500-029"
    34923502            coin_dbg_fflags="-g -C"
    34933503            ;;
     
    37753785ac_save_FFLAGS=$FFLAGS
    37763786FFLAGS="$FFLAGS $ac_verb"
    3777 (eval echo $as_me:3777: \"$ac_link\") >&5
     3787(eval echo $as_me:3787: \"$ac_link\") >&5
    37783788ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    37793789echo "$ac_f77_v_output" >&5
     
    38533863ac_save_FFLAGS=$FFLAGS
    38543864FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    3855 (eval echo $as_me:3855: \"$ac_link\") >&5
     3865(eval echo $as_me:3865: \"$ac_link\") >&5
    38563866ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    38573867echo "$ac_f77_v_output" >&5
     
    62416251*-*-irix6*)
    62426252  # Find out which ABI we are using.
    6243   echo '#line 6243 "configure"' > conftest.$ac_ext
     6253  echo '#line 6253 "configure"' > conftest.$ac_ext
    62446254  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    62456255  (eval $ac_compile) 2>&5
     
    87188728   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87198729   -e 's:$: $lt_compiler_flag:'`
    8720    (eval echo "\"\$as_me:8720: $lt_compile\"" >&5)
     8730   (eval echo "\"\$as_me:8730: $lt_compile\"" >&5)
    87218731   (eval "$lt_compile" 2>conftest.err)
    87228732   ac_status=$?
    87238733   cat conftest.err >&5
    8724    echo "$as_me:8724: \$? = $ac_status" >&5
     8734   echo "$as_me:8734: \$? = $ac_status" >&5
    87258735   if (exit $ac_status) && test -s "$ac_outfile"; then
    87268736     # The compiler can only warn and ignore the option if not recognized
     
    89868996   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    89878997   -e 's:$: $lt_compiler_flag:'`
    8988    (eval echo "\"\$as_me:8988: $lt_compile\"" >&5)
     8998   (eval echo "\"\$as_me:8998: $lt_compile\"" >&5)
    89898999   (eval "$lt_compile" 2>conftest.err)
    89909000   ac_status=$?
    89919001   cat conftest.err >&5
    8992    echo "$as_me:8992: \$? = $ac_status" >&5
     9002   echo "$as_me:9002: \$? = $ac_status" >&5
    89939003   if (exit $ac_status) && test -s "$ac_outfile"; then
    89949004     # The compiler can only warn and ignore the option if not recognized
     
    90909100   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    90919101   -e 's:$: $lt_compiler_flag:'`
    9092    (eval echo "\"\$as_me:9092: $lt_compile\"" >&5)
     9102   (eval echo "\"\$as_me:9102: $lt_compile\"" >&5)
    90939103   (eval "$lt_compile" 2>out/conftest.err)
    90949104   ac_status=$?
    90959105   cat out/conftest.err >&5
    9096    echo "$as_me:9096: \$? = $ac_status" >&5
     9106   echo "$as_me:9106: \$? = $ac_status" >&5
    90979107   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    90989108   then
     
    1150711517  lt_status=$lt_dlunknown
    1150811518  cat > conftest.$ac_ext <<EOF
    11509 #line 11509 "configure"
     11519#line 11519 "configure"
    1151011520#include "confdefs.h"
    1151111521
     
    1160711617  lt_status=$lt_dlunknown
    1160811618  cat > conftest.$ac_ext <<EOF
    11609 #line 11609 "configure"
     11619#line 11619 "configure"
    1161011620#include "confdefs.h"
    1161111621
     
    1396713977   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1396813978   -e 's:$: $lt_compiler_flag:'`
    13969    (eval echo "\"\$as_me:13969: $lt_compile\"" >&5)
     13979   (eval echo "\"\$as_me:13979: $lt_compile\"" >&5)
    1397013980   (eval "$lt_compile" 2>conftest.err)
    1397113981   ac_status=$?
    1397213982   cat conftest.err >&5
    13973    echo "$as_me:13973: \$? = $ac_status" >&5
     13983   echo "$as_me:13983: \$? = $ac_status" >&5
    1397413984   if (exit $ac_status) && test -s "$ac_outfile"; then
    1397513985     # The compiler can only warn and ignore the option if not recognized
     
    1407114081   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1407214082   -e 's:$: $lt_compiler_flag:'`
    14073    (eval echo "\"\$as_me:14073: $lt_compile\"" >&5)
     14083   (eval echo "\"\$as_me:14083: $lt_compile\"" >&5)
    1407414084   (eval "$lt_compile" 2>out/conftest.err)
    1407514085   ac_status=$?
    1407614086   cat out/conftest.err >&5
    14077    echo "$as_me:14077: \$? = $ac_status" >&5
     14087   echo "$as_me:14087: \$? = $ac_status" >&5
    1407814088   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1407914089   then
     
    1564115651   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1564215652   -e 's:$: $lt_compiler_flag:'`
    15643    (eval echo "\"\$as_me:15643: $lt_compile\"" >&5)
     15653   (eval echo "\"\$as_me:15653: $lt_compile\"" >&5)
    1564415654   (eval "$lt_compile" 2>conftest.err)
    1564515655   ac_status=$?
    1564615656   cat conftest.err >&5
    15647    echo "$as_me:15647: \$? = $ac_status" >&5
     15657   echo "$as_me:15657: \$? = $ac_status" >&5
    1564815658   if (exit $ac_status) && test -s "$ac_outfile"; then
    1564915659     # The compiler can only warn and ignore the option if not recognized
     
    1574515755   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1574615756   -e 's:$: $lt_compiler_flag:'`
    15747    (eval echo "\"\$as_me:15747: $lt_compile\"" >&5)
     15757   (eval echo "\"\$as_me:15757: $lt_compile\"" >&5)
    1574815758   (eval "$lt_compile" 2>out/conftest.err)
    1574915759   ac_status=$?
    1575015760   cat out/conftest.err >&5
    15751    echo "$as_me:15751: \$? = $ac_status" >&5
     15761   echo "$as_me:15761: \$? = $ac_status" >&5
    1575215762   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1575315763   then
     
    1795217962   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1795317963   -e 's:$: $lt_compiler_flag:'`
    17954    (eval echo "\"\$as_me:17954: $lt_compile\"" >&5)
     17964   (eval echo "\"\$as_me:17964: $lt_compile\"" >&5)
    1795517965   (eval "$lt_compile" 2>conftest.err)
    1795617966   ac_status=$?
    1795717967   cat conftest.err >&5
    17958    echo "$as_me:17958: \$? = $ac_status" >&5
     17968   echo "$as_me:17968: \$? = $ac_status" >&5
    1795917969   if (exit $ac_status) && test -s "$ac_outfile"; then
    1796017970     # The compiler can only warn and ignore the option if not recognized
     
    1822018230   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1822118231   -e 's:$: $lt_compiler_flag:'`
    18222    (eval echo "\"\$as_me:18222: $lt_compile\"" >&5)
     18232   (eval echo "\"\$as_me:18232: $lt_compile\"" >&5)
    1822318233   (eval "$lt_compile" 2>conftest.err)
    1822418234   ac_status=$?
    1822518235   cat conftest.err >&5
    18226    echo "$as_me:18226: \$? = $ac_status" >&5
     18236   echo "$as_me:18236: \$? = $ac_status" >&5
    1822718237   if (exit $ac_status) && test -s "$ac_outfile"; then
    1822818238     # The compiler can only warn and ignore the option if not recognized
     
    1832418334   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1832518335   -e 's:$: $lt_compiler_flag:'`
    18326    (eval echo "\"\$as_me:18326: $lt_compile\"" >&5)
     18336   (eval echo "\"\$as_me:18336: $lt_compile\"" >&5)
    1832718337   (eval "$lt_compile" 2>out/conftest.err)
    1832818338   ac_status=$?
    1832918339   cat out/conftest.err >&5
    18330    echo "$as_me:18330: \$? = $ac_status" >&5
     18340   echo "$as_me:18340: \$? = $ac_status" >&5
    1833118341   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1833218342   then
  • ThirdParty/Mumps/trunk/configure.ac

    r405 r525  
    3939# Get the system type
    4040AC_CANONICAL_BUILD
     41
     42#turn off warnings and pedantic mode since they could make trouble on some platforms,
     43#and we couldn't fix them anyway
     44coin_skip_warn_cflags=yes
     45coin_skip_warn_fflags=yes
    4146
    4247# Check if user wants to produce debugging code
  • ThirdParty/Mumps/trunk/get.Mumps

    r389 r525  
    77set -e
    88
     9wgetcmd=wget
    910wgetcount=`which wget 2>/dev/null | wc -w`
    1011if test ! $wgetcount = 1; then
    1112  echo "Utility wget not found in your PATH."
    12   exit -1
     13  if test `uname` = Darwin; then
     14    wgetcmd=ftp
     15    echo "Using ftp command instead."
     16  else
     17    exit -1
     18  fi
    1319fi
    1420
     
    2026
    2127echo "Downloading the source code from ..."
    22 #wget http://graal.ens-lyon.fr/MUMPS/MUMPS_${mumps_ver}.tar.gz
    23 wget http://mumps.enseeiht.fr/MUMPS_${mumps_ver}.tar.gz
     28$wgetcmd http://mumps.enseeiht.fr/MUMPS_${mumps_ver}.tar.gz
    2429
    2530echo "Uncompressing the tarball..."
Note: See TracChangeset for help on using the changeset viewer.